> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /ad-stack

> Creates a new ad stack. Call the `/v1/integration?target=ad_stack` endpoint to find available integrations, and call the `/v1/integration/{id}/stack-schema` endpoint to find the field requirements for each integration.



## OpenAPI

````yaml /openapi.json post /v1/ad-stack
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/ad-stack:
    post:
      tags:
        - Ad Stack
        - public
      summary: /ad-stack
      description: >-
        Creates a new ad stack. Call the `/v1/integration?target=ad_stack`
        endpoint to find available integrations, and call the
        `/v1/integration/{id}/stack-schema` endpoint to find the field
        requirements for each integration.
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
            default: <integer>
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                integration:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The integration ID
                      config:
                        type: object
                        properties: {}
                        description: Settings for the given integration
                  description: List of integration and their setting
                global:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The integration ID
                      config:
                        type: object
                        properties: {}
                        description: Settings for the given integration
                  description: List of global settings and their settings
              required:
                - integration
            example:
              config:
                ad_demand:
                  bidderTimeout: 50
                  syncDelay: 1000
                  priceGranularity: dense
                  useBidCache: true
                  enableTIDs: false
                  s2sConfig:
                    timeout: 1000
                  throttling:
                    thresholdType: count
                    thresholdValue: 3
                    actions:
                      actionTarget: page_view
                    scope: ad_unit
                    filter:
                      type: include
                      list: []
                    enabled: true
                ad_server/2:
                  ad_unit: jamiedruce.io__2
                  mcm: '5568767400'
                fallback/676:
                  weight: 1
                fallback/760:
                  weight: 1
              name: Jamies Ad Stack
              stack:
                - id: 2
                  type: ad_server
                - id: 676
                  type: fallback
                - id: 760
                  type: fallback
                - id: 838
                  type: ad_tech
                - id: 839
                  type: ad_tech
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                    required:
                      - id
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  id: 815
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````